Skip to content

Quotas

All operations require authentication.

5 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

List quotas per zoneProduction

GET
/1.0/ipLoadbalancing/{serviceName}/quota

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/quota \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a zone quotaProduction

GET
/1.0/ipLoadbalancing/{serviceName}/quota/{zone}

Path parameters

serviceName
required
string

The internal name of your IP load balancing

zone
required
string

Zone of your quota

Response

200Quotasuccessful operation
alert
integer

Quota alert value in bytes. When reached, we will send you an alert. Default : included quota with your offer

included
read-only
integer

Included quota value with your offer, in bytes

lastUpdateDate
read-only
stringdate-time

The last time your quota was updated from your Load Balancer instance

resetDate
read-only
stringdate-time

The last time your quota was resetted (billed)

total
read-only
integer

Total used quota value in bytes

zone
read-only
string

Zone of your quota

Example uses serviceName = string, zone = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/quota/{zone} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "alert": 0, "included": 0, "lastUpdateDate": "2024-01-01T12:00:00Z", "resetDate": "2024-01-01T12:00:00Z", "total": 0, "zone": "string"}

Update a zone quotaProduction

PUT
/1.0/ipLoadbalancing/{serviceName}/quota/{zone}

Path parameters

serviceName
required
string

The internal name of your IP load balancing

zone
required
string

Zone of your quota

Request body (required)

alert
integer

Quota alert value in bytes. When reached, we will send you an alert. Default : included quota with your offer

included
read-only
integer

Included quota value with your offer, in bytes

lastUpdateDate
read-only
stringdate-time

The last time your quota was updated from your Load Balancer instance

resetDate
read-only
stringdate-time

The last time your quota was resetted (billed)

total
read-only
integer

Total used quota value in bytes

zone
read-only
string

Zone of your quota

Response

200—successful operation

Example uses serviceName = string, zone = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/quota/{zone} \
  -H "authorization: Bearer $OVH_TOKEN"

List quota history per monthProduction

GET
/1.0/ipLoadbalancing/{serviceName}/quotaHistory

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Query parameters

historizedDate.from
stringdate

Filter the value of historizedDate property (>=)

historizedDate.to
stringdate

Filter the value of historizedDate property (<=)

zone
string

Filter the value of zone property (=)

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/quotaHistory \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a monthly quota historyProduction

GET
/1.0/ipLoadbalancing/{serviceName}/quotaHistory/{id}

Path parameters

id
required
integer

Id of your quota

serviceName
required
string

The internal name of your IP load balancing

Response

200QuotaHistorysuccessful operation
historizedDate
read-only
stringdate

Historized date for this quota entry

id
read-only
integer

Id of your quota

lastUpdateDate
read-only
stringdate-time

The last time your quota was updated from your Load Balancer instance

resetDate
read-only
stringdate-time

The last time your quota was resetted (billed)

total
read-only
integer

Total used quota value in bytes

zone
read-only
string

Zone of your quota

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/quotaHistory/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "historizedDate": "2024-01-01", "id": 0, "lastUpdateDate": "2024-01-01T12:00:00Z", "resetDate": "2024-01-01T12:00:00Z", "total": 0, "zone": "string"}